# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TSparkArrowBatch

Packages that use TSparkArrowBatch
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TSparkArrowBatch in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TSparkArrowBatch
Modifier and Type
Class
Description
`class`
`TSparkArrowBatch`
`class`
`TSparkArrowBatch`
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TSparkArrowBatch
Modifier and Type
Field
Description
`List<TSparkArrowBatch>`
TRowSet.`arrowBatches`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TSparkArrowBatch
Modifier and Type
Method
Description
`TSparkArrowBatch`
TSparkArrowBatch.`deepCopy()`
`TSparkArrowBatch`
TSparkArrowBatch.`setBatch(byte[] batch)`
`TSparkArrowBatch`
TSparkArrowBatch.`setBatch(ByteBuffer batch)`
`TSparkArrowBatch`
TSparkArrowBatch.`setRowCount(long rowCount)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TSparkArrowBatch
Modifier and Type
Method
Description
`List<TSparkArrowBatch>`
TRowSet.`getArrowBatches()`
`Iterator<TSparkArrowBatch>`
TRowSet.`getArrowBatchesIterator()`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkArrowBatch
Modifier and Type
Method
Description
`void`
TRowSet.`addToArrowBatches(TSparkArrowBatch elem)`
`int`
TSparkArrowBatch.`compareTo(TSparkArrowBatch other)`
`boolean`
TSparkArrowBatch.`equals(TSparkArrowBatch that)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TSparkArrowBatch
Modifier and Type
Method
Description
`TRowSet`
TRowSet.`setArrowBatches(List<TSparkArrowBatch> arrowBatches)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkArrowBatch
Modifier
Constructor
Description
``
`TSparkArrowBatch(TSparkArrowBatch other)`
Performs a deep copy on other.